## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenPackage, org.eclipse.emf.common.notify.Notifier

    public interface GenPackage

extends org.eclipse.emf.codegen.ecore.genmodel.GenPackage, GenBase

A representation of the model object 'Gen Package'.

The following features are supported:

- `Resource Interfaces`
- `Operations Package`

See Also:
  `GenModelPackage.getGenPackage()`

Method Summary
`java.lang.String` `getImportedResourceBaseInterfaceName()`
`java.lang.String` `getImportedResourceFactoryBaseInterfaceName()`
`java.lang.String` `getImportedResourceFactoryInterfaceName()`
`java.lang.String` `getImportedResourceInterfaceName()`
`java.lang.String` `getOperationsPackage()` Returns the value of the 'Operations Package' attribute
`java.lang.String` `getOperationsPackageName()`
`java.lang.String` `getQualifiedResourceInterfaceName()`
`java.lang.String` `getResourceInterfaceName()`
`boolean` `isOperationsClasses()`
`boolean` `isResourceInterfaces()` Returns the value of the 'Resource Interfaces' attribute
`boolean` `isXMLResource()`
`void` `setOperationsPackage(java.lang.String value)` Sets the value of the '`Operations Package`' attribute
`void` `setResourceInterfaces(boolean value)` Sets the value of the '`Resource Interfaces`' attribute

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenPackage

`clearCache, generateSchema, getActionBarContributorClassName, getAdapterDelegatePackages, getAdapterDelegateSuperClasses, getAdapterFactoryClassName, getAdapterFactoryDelegateName, getAllAnnotations, getAllGenDataTypes, getAllGenFeatures, getAllNestedAnnotations, getAllSwitchGenClasses, getAllValidatorBaseGenPackages, getAnnotatedModelElementAccessor, getAnnotationSourceIdentifier, getAnnotationSources, getBasePackage, getClassifierID, getClassifierValue, getClassPackageName, getClassPackageSuffix, getClassUniqueName, getDocumentRoot, getEcorePackage, getEditorClassName, getEditorPluginClassName, getEditPluginClassName, getExampleClassName, getFactoryClassName, getFactoryInstanceName, getFactoryInterfaceName, getGenClasses, getGenClassifiers, getGenDataTypes, getGenEnums, getGenModel, getImportedActionBarContributorClassName, getImportedAdapterFactoryClassName, getImportedEditorClassName, getImportedEditorPluginClassName, getImportedEditPluginClassName, getImportedFactoryClassName, getImportedFactoryInterfaceName, getImportedItemProviderAdapterFactoryClassName, getImportedModelWizardClassName, getImportedPackageClassName, getImportedPackageInterfaceName, getImportedResourceBaseClassName, getImportedResourceClassName, getImportedResourceFactoryBaseClassName, getImportedResourceFactoryClassName, getImportedTestSuiteClassName, getImportedValidatorClassName, getImportedXMLProcessorBaseClassName, getInterfacePackageName, getInterfacePackageSuffix, getItemProviderAdapterFactoryClassName, getJavaLangConflicts, getLocalClassifierIndex, getMetaDataPackageSuffix, getModelIconFileName, getModelInfo, getModelWizardClassName, getModelWizardIconFileName, getNestedGenPackages, getNSName, getNSURI, getOrderedGenClasses, getOrderedGenClassifiers, getPackageBuildInterDependencies, getPackageClassName, getPackageInitializationDependencies, getPackageInstanceVariable, getPackageInterDependencies, getPackageInterfaceName, getPackageLoadInterDependencies, getPackageName, getPackageSimpleDependencies, getPrefix, getPresentationPackageName, getPresentationPackageSuffix, getProviderPackageName, getProviderPackageSuffix, getProviderSupportedTypes, getQualifiedActionBarContributorClassName, getQualifiedAdapterFactoryClassName, getQualifiedEditorClassName, getQualifiedEditorPluginClassName, getQualifiedEditPluginClassName, getQualifiedEFactoryInstanceAccessor, getQualifiedEFactoryInternalInstanceAccessor, getQualifiedExampleClassName, getQualifiedFactoryClassName, getQualifiedFactoryInstanceAccessor, getQualifiedFactoryInterfaceName, getQualifiedItemProviderAdapterFactoryClassName, getQualifiedModelWizardClassName, getQualifiedPackageClassName, getQualifiedPackageInterfaceName, getQualifiedPackageName, getQualifiedResourceClassName, getQualifiedResourceFactoryClassName, getQualifiedSwitchClassName, getQualifiedTestSuiteClassName, getQualifiedValidatorClassName, getQualifiedXMLProcessorClassName, getReflectionClassPackageName, getReflectionPackageName, getResource, getResourceClassName, getResourceFactoryClassName, getRootClass, getRootFeature, getRootGenPackage, getSerializedPackageFilename, getSubGenPackages, getSuperGenPackage, getSwitchClassName, getTestsPackageName, getTestsPackageSuffix, getTestSuiteClassName, getUncapAdapterFactoryClassName, getUncapAdapterFactoryDelegateName, getUncapFactoryInterfaceName, getUncapPackageInterfaceName, getUtilitiesPackageName, getUtilityPackageSuffix, getValidatorClassName, getValidatorPackageUniqueSafeName, getXMLProcessorClassName, hasClassifiers, hasClassifiers, hasConcreteClasses, hasConstraints, hasDocumentRoot, hasExtendedMetaData, hasInterfaceImplConflict, hasJavaLangConflict, hasStatefulProvider, hasTargetNamespace, hasTests, hasXMLMap, initialize, isAdapterFactory, isDataTypeConverters, isDisposableProviderFactory, isEcorePackage, isGenerateExampleClass, isGenerateModelWizard, isLiteralsInterface, isLoadedInitialization, isLoadingInitialization, isLoadInitialization, isMultipleEditorPages, prepareCache, reconcile, setAdapterFactory, setBasePackage, setClassPackageSuffix, setDataTypeConverters, setDisposableProviderFactory, setEcorePackage, setGenerateExampleClass, setGenerateModelWizard, setGenModel, setInterfacePackageSuffix, setLiteralsInterface, setLoadInitialization, setMetaDataPackageSuffix, setMultipleEditorPages, setPrefix, setPresentationPackageSuffix, setProviderPackageSuffix, setResource, setTestsPackageSuffix, setUtilityPackageSuffix`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isResourceInterfaces

    boolean isResourceInterfaces()

  Returns the value of the 'Resource Interfaces' attribute.

  If the meaning of the 'Resource Interfaces' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Interfaces' attribute.
  See Also:
    `setResourceInterfaces(boolean)`, `GenModelPackage.getGenPackage_ResourceInterfaces()`

### setResourceInterfaces

    void setResourceInterfaces(boolean value)

  Sets the value of the '`Resource Interfaces`' attribute.

  Parameters:
    `value` - the new value of the 'Resource Interfaces' attribute.
  See Also:
    `isResourceInterfaces()`

### getOperationsPackage

    java.lang.String getOperationsPackage()

  Returns the value of the 'Operations Package' attribute.

  If the meaning of the 'Operations Package' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operations Package' attribute.
  See Also:
    `setOperationsPackage(String)`, `GenModelPackage.getGenPackage_OperationsPackage()`

### setOperationsPackage

    void setOperationsPackage(java.lang.String value)

  Sets the value of the '`Operations Package`' attribute.

  Parameters:
    `value` - the new value of the 'Operations Package' attribute.
  See Also:
    `getOperationsPackage()`

### getOperationsPackageName

    java.lang.String getOperationsPackageName()

### isOperationsClasses

    boolean isOperationsClasses()

### getResourceInterfaceName

    java.lang.String getResourceInterfaceName()

### getQualifiedResourceInterfaceName

    java.lang.String getQualifiedResourceInterfaceName()

### getImportedResourceInterfaceName

    java.lang.String getImportedResourceInterfaceName()

### getImportedResourceBaseInterfaceName

    java.lang.String getImportedResourceBaseInterfaceName()

### getImportedResourceFactoryInterfaceName

    java.lang.String getImportedResourceFactoryInterfaceName()

### getImportedResourceFactoryBaseInterfaceName

    java.lang.String getImportedResourceFactoryBaseInterfaceName()

### isXMLResource

    boolean isXMLResource()

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.